
\ Mediaan opgave

: MID5	( a b c d e -- gemiddelde )
	\ 5 input getallen optellen en delen door 5
	4 0 ?do + loop	\ getallen op stack optellen
	5 /				\ deel door 5
	;

: SORT  ( c d a b e -- a b c d e )
	4 0 ?do				\ 5 getallen op stack
		2dup max >r		\ grootste van 2 getallen op returnstack
		min				\ laat kleinste getal op stack staan
		2dup max >r		\ doe dit 4 keer 
		min
		2dup max >r
		min
		2dup max >r
		min
		r> r> r> r>		\ getallen van returnstack terug op stack
	loop
	;
	
: MED5	( a b c d e -- mediaan )
	\ zet de 5 input getallen op volgorde
	\ het middelste getal is wat nodig is
	sort 2drop >r 2drop r>
	;
	
